Critical

CVE-2003-0222 - Buffer Errors vulnerability in Oracle Database Server/8I/9I

Publication: 2003-05-12
Summary

Stack-based buffer overflow in Oracle Net Services for Oracle Database Server 9i release 2 and earlier allows attackers to execute arbitrary code via a "CREATE DATABASE LINK" query containing a connect string with a long USING parameter.

Classification
CWE-119: Buffer Errors

Risk level (CVSS 9)

Critical

9.0

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Oracle Database Server 7.3.3
  • Oracle Database Server 7.3.4
  • Oracle Database Server 8.0.1
  • Oracle Database Server 8.0.2
  • Oracle Database Server 8.0.3
  • Oracle Database Server 8.0.4
  • Oracle Database Server 8.0.5
  • Oracle Database Server 8.0.5.1
  • Oracle Database Server 8.0.6
  • Oracle Oracle8i 8.1x
  • Oracle Oracle8i 8.0x
  • Oracle Oracle8i 8.0.6.3
  • Oracle Oracle8i 8.0.6
  • Oracle Database Server 8.1.5
  • Oracle Oracle8i 8.1.5
  • Oracle Database Server 8.1.6
  • Oracle Oracle8i 8.1.6
  • Oracle Oracle8i 8.1.7.4
  • Oracle Oracle8i 8.1.7
  • Oracle Oracle8i 8.1.7.1
  • Oracle Database Server 8.1.7
  • Oracle Oracle9i 9.0
  • Oracle Oracle9i 9.0.1
  • Oracle Oracle9i 9.0.1.2
  • Oracle Oracle9i 9.0.1.3
  • Oracle Oracle9i 9.0.1.4
  • Oracle Oracle9i 9.0.2
  • Oracle Oracle9i 9.2.0.2
  • Oracle Oracle9i 9.2.0.1
  • Oracle Database Server 9.2.1
  • Oracle Database Server 9.2.2